<template>
    <div>
        <!-- CONTENT START -->
        <div class="page-content">
            
            <!-- INNER PAGE BANNER -->
            <div class="wt-bnr-inr overlay-wraper bg-center" style="background-image:url(/assets/images/banner/7.jpg);">
                <div class="overlay-main site-bg-secondry opacity-07"></div>
                <div class="container">
                    <div class="wt-bnr-inr-entry">
                        <div class="banner-title-outer">
                            <div class="banner-title-name">
                                <h2 class="site-text-primary" style="margin-top: 15%;">{{detailProject.name}}</h2>
                            </div>
                        </div>
                        <!-- BREADCRUMB ROW -->                            
                        
                            <div>
                                <ul class="wt-breadcrumb breadcrumb-style-2">
                                    <li><a href="javascript:void(0);">Home</a></li>
                                    <li><a href="/project">Project</a></li>
                                    <li>{{detailProject.name}}</li>
                                </ul>
                            </div>
                        
                        <!-- BREADCRUMB ROW END -->                        
                    </div>
                </div>
            </div>
            <!-- INNER PAGE BANNER END -->
    
            <!-- OUR TEAM SINGLE SECTION START -->
            <div class="section-full p-t80 p-b50 bg-gray">
                <div class="container">
                    <div class="section-content">
                                
                            <div class="section-content">
                                <div class="row justify-content-center">
                                    <div class="col-lg-7 col-md-7 m-b30">
                                        <div class="wt-team-1">
                                            
                                            <div class="wt-media">
                                                <img :src="'/assets/images/'+detailProject.thumbnail" alt="" style="max-height: 387px;">
                                                <div class="team-social-center">
                                                    <ul class="team-social-bar">
                                                        <li style="color: white;">{{detailProject.name}}</li>
                                                    </ul>
                                                    
                                                </div>                                              
                                            </div>                                   
                                        </div>
                                    </div>
                                    <div class="col-lg-5 col-md-5 m-b30">
                                        <!-- TITLE START-->
                                        <!-- TITLE END-->
                                        <div class="card" style="max-height: 387px;">
                                            <div class="card-header">
                                                    <div class=" center wt-small-separator-outer text-white">
                                                        <div class="wt-small-separator site-text-primary">
                                                            <div class="sep-leaf-left"></div>
                                                            <div>Details</div>
                                                            <div class="sep-leaf-right"></div>
                                                        </div>
                                                    </div>
    
                                            </div>
                                            <div class="card-body">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <p>
                                                            <b>Province</b><br>
                                                            {{detailProject.state}}
                                                        </p>
                                                        <!-- <p></p> -->
                                                    </div>
                                                    <div class="col-md-6">
                                                        <p>
                                                            <b>Location</b><br>
                                                            {{detailProject.location}}
                                                        </p>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <p>
                                                            <b>System Type</b><br>
                                                            {{detailProject.system_type}}
                                                        </p>
                                                        <!-- <p></p> -->
                                                    </div>
                                                    <div class="col-md-6">
                                                        <p>
                                                            <b>Installation Type</b><br>
                                                            {{detailProject.installation}}
                                                        </p>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <p>
                                                            <b>Power Installed</b><br>
                                                            {{detailProject.power}}
                                                        </p>
                                                        <!-- <p></p> -->
                                                    </div>
                                                    <div class="col-md-6">
                                                        <p>
                                                            <b>Total Solar Panel</b><br>
                                                            {{detailProject.panel}}
                                                        </p>
                                                    </div>
                                                    <div class="col-md-12">
                                                        <p>
                                                            <b>Features</b><br>
                                                            {{detailProject.feature}}
                                                        </p>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- <div class="wt-team-1-single">
                                            <ul class="wt-team-1-single-info bg-white">
                                                <li><span>Province</span><span>{{detailProject.state}}</span></li>
                                                <li><span>Location</span><span>{{detailProject.location}}</span></li>
                                                <li><span>System Type</span><span>{{detailProject.system_type}}</span></li>
                                                <li><span>Installation Type</span><span>{{detailProject.installation}}</span></li>
                                                <li><span>Power Installed</span><span>{{detailProject.power}}</span></li>
                                                <li><span>Total Solar Panels</span><span>{{detailProject.panel}}</span></li>
                                                <li><span>Feature</span><span>{{detailProject.feature}}</span></li>
                                            </ul> 
                                            
                                        </div> -->
                                    </div>
                                            
                                </div>
                            </div>      
                        
                    </div>
                </div>
            </div>                                                                              
            
        </div>
    
        <!-- CONTENT END -->
        <div style="position: relative; bottom: 0;background-color: #141c17;" >
            <div class="row">
                <div class="col-lg-12 col-md-12 col-sm-12"> 
                    <div > 
                        <div class="widget widget_about justify-content-center">
                        </div>
                        <div align="center" class="logo-footer justify-content-center">
                            <a href="index.html"><img src="/assets/images/logo.png" alt="" width="300"></a>
                        </div>
                        <ul align="center" class="social-icons  wt-social-links footer-social-icon p-b20 text-primary" style="font-size: 24pt; color: 03ad48;">
                            <li ><a style="margin-left: 5px; "  href="https://www.youtube.com/channel/UCGCwNBEAlSA6yFw5rLO-UXQ" target="_BLANK" class="fa fa-youtube-play text-primary"></a></li>
                            <li><a style="margin-left: 5px; color: 03ad48;" href="https://www.instagram.com/helixindo" target="_BLANK" class="fa fa-instagram  text-primary"></a></li>
                            <li><a style="margin-left: 5px; color: 03ad48;" href="https://www.facebook.com/helixindo" target="_BLANK" class="fa fa-facebook text-primary"></a></li>
                            <li><a style="margin-left: 5px; color: 03ad48;" href="https://www.linkedin.com/company/helixindo" target="_BLANK" class="fa fa-linkedin text-primary"></a></li>
                        </ul>
                        <ul align="center" class="footer-social-icon text-white">
                            <li>
                                <span align="center" class="copyrights-text">© 2020 <span class="site-text-primary">Helix Tenaga Surya. </span>All rights reserved. Powered by <span  ><a class="site-text-primary" href="https://visiprop.com" target="_BLANK">PT. Visiprop Technology Indonesia</a></span></span>
                            </li>
                        </ul>
    
                    </div>                              
                    
                </div> 
            </div>
        </div>
    </div>
</template>

<script>
    import { mapState } from 'vuex';
    export default {
        props: ['slug'],
        data() {
            return {
                detailProject: {}
            }
        },
        computed: mapState(['project_en', 'project_id']),
        methods: {
            initPage() {
                if(!localStorage.getItem('__LANG') || localStorage.getItem('__LANG') == 'en') {
                    
                    if(this.project_en.findIndex(_val => _val.slug == this.slug) > -1) {
                        this.detailProject = this.project_en[
                            this.project_en.findIndex(_val => _val.slug == this.slug)
                        ]
                    }
                } else {
                    if(this.project_id.findIndex(_val => _val.slug == this.slug) > -1) {
                        this.detailProject = this.project_id[
                            this.project_id.findIndex(_val => _val.slug == this.slug)
                        ]
                    }
                }
            }
        },
        mounted() {
            $("html, body").animate({
				scrollTop: 0
			}, 500);
            this.initPage()
        }
    }
</script>